Subject: IP discussion

From: "Contreras, Jorge" <[email-masked]>
Date: Tue, 22 Jul 2008 17:33:57 -0400

Everyone - please remove my name from the subject line of this
discussion.  I do not intend to participate, and do not want this
spurious litigation threat republished on every message on this subject.

> -----Original Message-----
> From: John C Klensin [mailto:[email-masked]] 
> Sent: Tuesday, July 22, 2008 5:31 PM
> To: TS Glassey; [email-masked]
> Cc: [email-masked]; Contreras, Jorge; [email-masked]
> Subject: Re: Jorge - Answer these question - or face 
> litigation and the ethicscommittee of your licensing bar assoc's
> 
> Todd,
> 
> I'm going to regret getting sucked into this discussion, but I
> want to give you a nice, simple, layman's answer to what I think
> it your collection of questions.  I am not a lawyer and this is
> not legal advice to either you or the IETF, but I do have enough
> understanding of the process to be able to make a fairly good
> guess as to what is going on.
> 
> First of all, the patent system, since its origins, encourages
> an inventor to disclose the invention --in sufficient detail
> that it can be implemented and tested-- to encourage general
> discussion, the advancement of science and technology, and so
> on.  In return for doing that, the inventor gets a certain
> amount of protection and rights to exclusivity in manufacturing
> and marketing products that depend on the invention.   Parts of
> several of your notes imply that, as a consequence of having
> applied for, or even being granted, a patent, you have the right
> to control discussion of the technology or to prevent additional
> work that is inspired by it.  I believe that the technical term
> to describe that position --whether it is really the one you
> intended to take or not -- is "complete nonsense".
> 
> Inventors who want to avoid disclosure and public discussion of
> their inventions are much better advised to simply keep them
> secret, hoping that no one will independently figure out the
> idea and either publish it, apply for a patent, or, for the
> relevant jurisdictions, engage in a dispute about who was first
> to invent.  Trying to keep secrets in the hope that independent
> discoveries will not occur is, of course, a calculated risk.
> 
> Now, with regard to IETF WGs, if they actually invent things
> --develop new intellectual property-- and then publish it, then
> such publication is a candidate for being treated as prior art.
> In first-to-invent jurisdictions, their claim to invention would
> presumably date from the first time the idea was introduced into
> the WG and discussed, if not earlier.  
> 
> If I come into a WG and suggest an idea that they refine and
> publish in an IETF document, and I later decide that I want to
> patent that idea, shame on me.  Maybe, given assorted subtle
> rules about first invention and first publication, I have a
> chance of getting the idea patented anyway, but I certainly
> cannot blame the IETF if I cannot.    Similarly, if I file an
> IPR disclosure with the IETF that does not actually identify a
> patent, but provides a WG with enough information to make a
> parallel invention on their own, I'd better be sure that any
> patent I've applied for will be granted and that its claims
> cover whatever the WG is going to come up with.  Otherwise, I
> might luck out but, if I don't, my fault, not the IETF's.
> 
> Possibly even worse from my (hypothetical) standpoint, if I
> wandered into an IETF WG, or commented on the charter of a
> proposed one, and sketched out a vague idea and then went off
> and created an invention based on that idea and tried to patent
> it, only to find out that the WG had managed to come up with the
> same result, I would think I would be extremely vunerable to
> claims that my supposed invention was obvious.  Certainly two
> parties (myself and the WG) coming up with the same
> invention-type ideas at the same time doesn't prove obviousness
> but it wouldn't help to make a case that my idea is absolutely
> novel and unique either.
> 
> The IETF's IPR policies are designed to protect the process from
> someone who patents an idea and then tries to get it turned into
> a Standard that would require licensing in a way that catches
> everyone by surprise --especially if a WG that knew about the
> patent might have tried to devise a mechanism that didn't depend
> on it.   They are also designed to balance the copyright
> interests of authors and editors against the needs of the IETF
> to be able to work on and develop documents and the needs of
> implementers to use those documents as part of their
> implementations.
> 
> It seems to me that you are looking for those policies to cover
> your presumed right to say "I have a patent" or even "I may be
> thinking about filing a patent" and thereby block IETF
> discussion, adaptation, or creating derived works or
> alternatives to whatever you are claiming.  There is just no way
> for you to do that, no matter how much insistent or hostile
> language you use.  If you are concerned about the IETF stealing
> your ideas, I think your best course of action (and, again, this
> isn't legal advice) is probably to avoid telling us about then
> and to hope we don't figure out the same thing on our own.
> 
> And, if you believe that your interpretation is correct and I
> correctly understand that you are claiming that your generating
> an IPR claim should prevent the IETF from discussing the
> technology you claim to own without obtaining a license from
> you, then please stop the noise and sue -- it is ultimately the
> only way that you have a chance of settling this in your favor.
> 
> Russ, Harald is on vacation and reading mail only episodically
> (and perhaps not reading this thread at all).   Let me add my
> voice to those of others who have suggested that it is time to
> put a stop, at least a temporary one, to this thread and to
> suggest that, as AD, you can clearly step in for an absent AD.
> 
>      john
> 
> 
> --On Tuesday, 22 July, 2008 10:10 -0700 TS Glassey
> <[email-masked]> wrote:
> 
> > Endre - as a reasonable person - and in a reasonable tone,
> > what happens when this WG says "We want to ignore Patent Law
> > and claim it doesn't exist nor that we are constrained by
> > those Laws that we are not happy with?"
> > 
> > My point in asking is that Patent Law is very simple. And the
> > Patent people are pretty clear that US Patent Law requires
> > proper time-clocks be kept when IP is published in any form.
> > Likewise that patent filing in Japan is useless if there is
> > any prior art in print per the patent offices definitions of
> > what prior art means?
> > 
> > Why is it that the IETF is unwilling to acknowledge that its
> > work effects patent filing's for IP protection in any number
> > of countries around the World?
> 
> 
> 
> 
> 
> 
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg

---

From: John C Klensin <[email-masked]>
Date: Tue, 22 Jul 2008 17:30:33 -0400

Todd,

     john